rules_component:
  type: mapping
  label: 'Rules component (embedded)'
  mapping:
    context_definitions:
      type: sequence
      label: 'Context definitions'
      sequence:
        type: rules.context.definition
        label: 'Context definition'
    provided_context_definitions:
      type: sequence
      label: 'Provided context definitions'
      sequence:
        type: rules.context.definition
        label: 'Context definition'
    expression:
      type: rules_expression.[id]
      label: 'Expression configuration'
